# $Id: perl-DBIx-DBCluster.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dag
# Upstream: Nigel Wetters Gourlay <nwetters$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DBIx-DBCluster

Summary: DBIx Cluster Module
Name: perl-DBIx-DBCluster
Version: 0.01
Release: 7.1
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DBIx-DBCluster/

Source: http://backpan.perl.org/authors/id/A/AR/ARAK/DBIx-DBCluster-%{version}.tar.gz
Patch0:	sqlgrey.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
%if 0%{?suse_version}
BuildRequires: perl
%else
BuildRequires: perl >= 0:5.00503
%endif
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
%if 0%{?suse_version}
Requires: perl
%else
Requires: perl >= 0:5.00503
%endif
Requires: perl(DBI)

%description
This module creates a database handler object that acts like, and
has exactly the same properties and methods as DBI's database handler.
In the background it creates multiple database connections to mirrored
database servers. Acts as an application level load balancer.

%prep
%setup -n %{real_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%{_mandir}/man3/DBIx::DBCluster.3pm*
%dir %{perl_vendorlib}/DBIx
%{perl_vendorlib}/DBIx/DBCluster.pm
%dir %{perl_vendorlib}/DBIx/DBCluster
%{perl_vendorlib}/DBIx/DBCluster/Config.pm

%changelog
* Sun Aug  5 2012 cs@linux-administrator.com
- initial build
